<ion-header>
  <ion-toolbar color=secondary no-padding center>
    <ion-buttons slot="start">
      <ion-menu-button>
      </ion-menu-button>
    </ion-buttons>
    <ion-label style="font-size: 22pt;" center no-padding> Vehicule </ion-label>
  </ion-toolbar>
</ion-header>


<ion-content no-padding *ngFor="let vehicule of data ; let i = index" class="card">
  <ion-card >
    <ion-card-content >
      <ion-grid padding-vertical>
     
        <ion-row>
            <ion-col>
              <ion-item>
                 
                  <ion-label> {{vehicule.mat}}  </ion-label>
              </ion-item>
            </ion-col>
          </ion-row>
          <ion-row>
              <ion-col>
                <ion-item>
                    
                    <ion-input  [(ngModel)]="data[i].model" placeholder="entrer model" > </ion-input>
                </ion-item>
              </ion-col>
            </ion-row>
            <ion-row>
                <ion-col>
                  <ion-item>
                      
                    <ion-input [(ngModel)]="data[i].couleur"  placeholder="entrer couleur" ></ion-input>
                  </ion-item>
                </ion-col>
              </ion-row>
              
      </ion-grid>
    </ion-card-content>
    

    <div text-center>    
      <ion-button (click)="update(i)" center color=secondary> Modifier </ion-button>
    </div>
  </ion-card>
</ion-content>